module data_hora

! objetivo: obter a data e a hora do sistema operacional

! data de criao:   2 Fev 02

! ltima alterao: 28 Fev 02

! autor: Carlos Henrique Marchi

! -----------------------------------------------

! incluso de mdulos do Fortran90

use msflib  ! para o comando setexitqq

use msfwin  ! para o comando setwindowtext

! -----------------------------------------------

! definio das variveis

implicit none

integer   :: i      ! auxiliar

integer*4 :: var(8) ! data e hora

character*12 :: dia                     ! data da simulao
character*8  :: hora                    ! horrio da simulao

character*20 :: vardate,vartime,varzone ! data e hora

character*2  :: aux1,aux2             
character*4  :: aux3
character*50 :: aux

!-------------------------------------------------

CONTAINS


!-------------------------------------------------

  subroutine data_e_hora ( caso )

    character(*),intent(in) :: caso  ! nome do arquivo de sada

    call date_and_time(vardate,vartime,varzone,var)

    write(aux,*) var(3)		 ! dia, uso de arquivo interno
    aux1 = trim(adjustl(aux))
    write(aux,*) var(2)        ! ms
    aux2 = trim(adjustl(aux))
    write(aux,*) var(1)        ! ano
    aux3 = trim(adjustl(aux))

    dia = '('//trim(aux1)//'/'//trim(aux2)//'/'//aux3//')'

    write(aux,*) var(5)		 ! hora
    aux1 = trim(adjustl(aux))
    write(aux,*) var(6)        ! minuto
    aux2 = trim(adjustl(aux))
    write(aux,*) var(7)        ! segundo
    aux3 = trim(adjustl(aux))
  
    hora = trim(aux1)//':'//trim(aux2)//':'//aux3

    open(10,file=caso)  ! cria um arquivo com o nome da varivel "caso"

    do i = 1, 4     ! pula as quatro primeiras linhas do arquivo "caso"
       read(10,*)
    end do

    write(10,18) dia, hora   ! quinta linha
    18 format("set title 'Soluo analtica do perfil de temperaturas em aletas 1D ",a12,1x,a8,"'")

    write(10,19) ! sexta linha
    19 format("plot 'campo_T.dat' notitle")

    close(10)

  end subroutine data_e_hora

end module data_hora
